---
stages:
  - test
  - deploy

before_script:
  - python3 -V
  - pip3 install virtualenv
  - virtualenv virtenv
  - source virtenv/bin/activate
  - pip3 install ansible molecule[docker] docker
  - ansible --version
  - molecule --version
  - docker --version

molecule_test:
  stage: test
  tags:
    - shell1
  script:
    - cd ./roles/postgre && molecule test


host_deploy:
  stage: deploy
  tags:
    - shell1
  script:
    - ansible-playbook playbook.yaml 
